<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" >
<head>
    <th:block th:include="include :: header('新增公司表')" />
</head>
<body class="white-bg">
    <div class="wrapper wrapper-content animated fadeInRight ibox-content">
        <form class="form-horizontal m" id="form-company-add">
            <div class="form-group">
                <label class="col-sm-3 control-label">公司名称：</label>
                <div class="col-sm-8">
                    <input name="company" id="company" class="form-control" type="text" required>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">管理员账号：</label>
                <div class="col-sm-8">
                    <input name="loginName" id="loginName" class="form-control" type="text" required>
                </div>
            </div>
            <div class="form-group">
                <label class="col-sm-3 control-label">密码：</label>
                <div class="col-sm-8">
                    <input name="password" id="password" class="form-control" type="text" required>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-3 control-label">优图权限编号：</label>
                <div class="col-sm-8">
                    <input name="authorizeId" id="authorizeId" class="form-control" type="text" required>
                </div>
            </div>
        </form>
    </div>
    <th:block th:include="include :: footer" />
    <script type="text/javascript">
        var prefix = ctx + "system/company"
        $("#form-company-add").validate({
            focusCleanup: true
        });

        function submitHandler() {
            if ($.validate.form()) {
                if($("#company").val()==""){
                    alert("")
                    return;
                }
                if($("#loginName").val()==""){
                    alert("")
                    return;
                }
                if($("#password").val()==""){
                    alert("")
                    return;
                }
                if($("#authorizeId").val()==""){
                    alert("")
                    return;
                }
                $.operate.save(prefix + "/add", $('#form-company-add').serialize());
            }
        }
    </script>
</body>
</html>